#
# spec file for package gtk2 (Version 2.8.11)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gtk2
BuildRequires:  atk-devel cairo-devel gcc-c++ gnome-patch-translation gtkdoc libtiff-devel pango-devel
Url:            http://www.gtk.org/
%define prefix /opt/gnome
%define sysconfdir /etc%prefix
License:        LGPL v2.1 or later
Group:          System/Libraries
Provides:       gtk2+ 
AutoReqProv:    on
Requires:       gnome-filesystem
PreReq:         /usr/bin/touch /bin/rm /bin/rmdir
Version:        2.8.11
Release:        0.27.11
Summary:        Library for Creation of Graphical User Interfaces
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gtk+/2.8/gtk+-%{version}.tar.bz2
Source1:        SuSEconfig.gtk2
Source2:        README.SuSE
Source3:        gtkrc
Patch:          gtk+-strict-aliasing.patch
Patch1:         gtk2-uninitialized.patch
Patch4:         gtk2-filesel-navbuttons.patch
Patch6:         gtk+-mac_ctree.patch
Patch8:         gtk64.patch
Patch12:        gdk-modules-information.diff
Patch13:        gtk2-esc-closes.diff
Patch14:        gtktextview.c.diff
Patch15:        gtk2-gtkicontheme-autoupdate.patch
Patch17:        gtk2-remove-empty-cache.patch
Patch21:        gtk2-file-chooser-consistent-home-folder-name.diff
Patch22:        bugzilla-129753-gtk+-2.8.9-localize-font-style-name.diff
Patch23:        bugzilla-131498-allow-xim-for-all-languages.patch
Patch24:        gtk+-2.8.6-fontsel.patch
Patch25:        gtk2-153213-filechooser-tilde.diff
Patch29:        gtk2-117163-cairo-repeat-pattern-workaround.diff
Patch30:        gtk2-filechooser-new-features.diff
Patch31:        gtk+-2.8.6-fontsel-fix.patch
Patch32:        gtk2-set-invisible-char-to-circle.patch
Patch33:        gtk+-context-translation.patch
Patch34:        gtk2-filechooserbutton-signal-disconnect-fix.patch
Patch35:        gtk2-179040-file-chooser-location-entry-folder.diff
Patch36:        gtk2-161043-calendar-sane-timer.diff
Patch37:        gtk2-184875-filechooser-location-entry-set-path.diff
Patch38:        gtk2-dragging-icons.patch
Patch39:        gtk2-expand-file-chooser.diff
Patch40:        gdk-pixbuf-226710.patch
Patch41:        gtk2-235661-pixbuf-loader-error-checking.diff
Patch42:        gtk2-selection-end-on-focus-out.patch
Patch43:        gtk2-191223-java-selection-fix.patch
# PATCH-FIX-UPSTREAM gtk2-bnc355402-gtkplug-toplevel-list.diff bnc355402 federico@novell.com - Fix Firefox crashes with Flash; keep GtkPlug in sync with GtkWindow toplevels
Patch44:        gtk2-bnc355402-gtkplug-toplevel-list.diff
Patch45:        gtk2-file-chooser-size-pos-record.diff
Patch46:        gtk2-capshiftlock.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cairo >= 0.9.2

%description
This fast and versatile library is used all over the world for all
GNOME applications, the GIMP, and several others. Originally it was
written for the GIMP and hence has the name GIMP ToolKit. Many people
like it because it is small, efficient, and very configurable.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gtk.org>
    Jerome Bolliet <bolliet@gtk.org>
    Damon Chaplin <damon@gtk.org>
    Tony Gale <gale@gtk.org>
    Jeff Garzik <jgarzik@gtk.org>
    Lars Hamann <lars@gtk.org>
    Raja R Harinath <harinath@gtk.org>
    Carsten Haitzler <raster@gtk.org>
    Tim Janik <timj@gtk.org>
    Stefan Jeske <stefan@gtk.org>
    Elliot Lee <sopwith@gtk.org>
    Raph Levien <raph@gtk.org>
    Ian Main <imain@gtk.org>
    Federico Mena <quartic@gtk.org>
    Paolo Molaro <lupus@gtk.org>
    Jay Painter <jpaint@gtk.org>
    Manish Singh <manish@gtk.org>
    Owen Taylor <otaylor@gtk.org>

%package devel
License:        LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/X11
AutoReqProv:    on
Requires:       %{name} = %{version}
Requires:       glibc-devel glib2-devel pango-devel atk-devel %(rpm -q --whatprovides XFree86-devel --queryformat '%{NAME}')
Requires:       cairo-devel

%description devel
This fast and versatile library is used all over the world for all
GNOME applications, the GIMP, and several other applications.
Originally it was written for the GIMP and hence has the name Gimp
ToolKit. Many people like it because it is small, efficient, and very
configurable.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gtk.org>
    Jerome Bolliet <bolliet@gtk.org>
    Damon Chaplin <damon@gtk.org>
    Tony Gale <gale@gtk.org>
    Jeff Garzik <jgarzik@gtk.org>
    Lars Hamann <lars@gtk.org>
    Raja R Harinath <harinath@gtk.org>
    Carsten Haitzler <raster@gtk.org>
    Tim Janik <timj@gtk.org>
    Stefan Jeske <stefan@gtk.org>
    Elliot Lee <sopwith@gtk.org>
    Raph Levien <raph@gtk.org>
    Ian Main <imain@gtk.org>
    Federico Mena <quartic@gtk.org>
    Paolo Molaro <lupus@gtk.org>
    Jay Painter <jpaint@gtk.org>
    Manish Singh <manish@gtk.org>
    Owen Taylor <otaylor@gtk.org>

%package doc
License:        LGPL v2.1 or later
Summary:        Additional Package Documentation.
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}

%description doc
This fast and versatile library is used all over the world for all
GNOME applications, the GIMP, and several other applications.
Originally it was written for the GIMP and hence has the name Gimp
ToolKit. Many people like it because it is small, efficient, and very
configurable.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gtk.org>
    Jerome Bolliet <bolliet@gtk.org>
    Damon Chaplin <damon@gtk.org>
    Tony Gale <gale@gtk.org>
    Jeff Garzik <jgarzik@gtk.org>
    Lars Hamann <lars@gtk.org>
    Raja R Harinath <harinath@gtk.org>
    Carsten Haitzler <raster@gtk.org>
    Tim Janik <timj@gtk.org>
    Stefan Jeske <stefan@gtk.org>
    Elliot Lee <sopwith@gtk.org>
    Raph Levien <raph@gtk.org>
    Ian Main <imain@gtk.org>
    Federico Mena <quartic@gtk.org>
    Paolo Molaro <lupus@gtk.org>
    Jay Painter <jpaint@gtk.org>
    Manish Singh <manish@gtk.org>
    Owen Taylor <otaylor@gtk.org>

%prep
%setup -q -n gtk+-%{version} 
gnome-patch-translation-prepare
%patch -p1
%patch1
%patch4 -p1
%patch6 -p1
cp -a %{S:1} .
%if "%_lib" == "lib64"
cp -a %{S:2} .
# WARNING: This patch does not patch not installed demos and tests.
%patch8 -p1
%endif
%patch12 -p1
%patch13 -p1
%patch14 -p0
%patch15 -p0
%patch17 -p0
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24
%patch25
%patch29 -p1
%patch30 -p1
%patch31
%patch32 -p1
%patch33
%patch34
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 
%patch39 -p1
%patch40 -p0
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
rename no nb po/no.* po-properties/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
gnome-patch-translation-update

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I m4macros
automake
autoconf 
## HACK ALERT BEGIN
# work around 9.2 deficiency
if test -f /usr/X11R6/%_lib/libXfixes.a -a ! -f /usr/X11R6/%_lib/libXfixes.so ; then
    ln -sf /usr/X11R6/%_lib/libXfixes.so.? gdk/libXfixes.so
    export LDFLAGS="-L."
fi
## HACK ALERT END
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
# Do not believe glibc first weekday:
# https://bugzilla.novell.com/show_bug.cgi?id=130787
# https://bugzilla.novell.com/show_bug.cgi?id=104417
# http://sources.redhat.com/bugzilla/show_bug.cgi?id=2388
sed -i /HAVE__NL_TIME_FIRST_WEEKDAY/d config.h.in
./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{prefix}/share/man \
	    --infodir=%{prefix}/share/info \
	    --sysconfdir=%{sysconfdir} \
	    --enable-shm \
	    --enable-xim \
	    --enable-fbmanager \
	    --with-gdktarget=x11
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/usr/%_lib:$RPM_BUILD_ROOT/usr/%_lib/gtk-2.0/%{version}/loaders:$RPM_BUILD_ROOT/usr/%_lib/gtk-2.0/%{version}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0
install -m 755 SuSEconfig.gtk2 $RPM_BUILD_ROOT/sbin/conf.d
touch $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0/gtk.immodules $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
install %{SOURCE3} $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0
mkdir -p $RPM_BUILD_ROOT/var%{prefix}/cache/gtk-2.0
touch $RPM_BUILD_ROOT/var%{prefix}/cache/gtk-2.0/icon-theme.cache-list
mkdir -p $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/modules
mkdir -p $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/immodules
mkdir -p $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/2.4.0/engines
mkdir -p $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/2.4.0/filesystems
%find_lang gtk20
%find_lang gtk20-properties gtk20.lang
%if "%_lib" == "lib64"
mv $RPM_BUILD_ROOT%{prefix}/bin/gdk-pixbuf-query-loaders\
 $RPM_BUILD_ROOT%{prefix}/bin/gdk-pixbuf-query-loaders-64
mv $RPM_BUILD_ROOT%{prefix}/bin/gtk-query-immodules-2.0\
 $RPM_BUILD_ROOT%{prefix}/bin/gtk-query-immodules-2.0-64
mv $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0/gtk.immodules\
 $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0/gtk64.immodules
mv $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0/gdk-pixbuf.loaders\
 $RPM_BUILD_ROOT%{sysconfdir}/gtk-2.0/gdk-pixbuf64.loaders
%endif
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
echo 'if test -z "$GTK_PATH" ; then
    export GTK_PATH="/usr/local/lib/gtk-2.0:/opt/gnome/lib/gtk-2.0:/usr/lib/gtk-2.0"
else
    export GTK_PATH="/usr/local/lib/gtk-2.0:/opt/gnome/lib/gtk-2.0:/usr/lib/gtk-2.0:$GTK_PATH"
fi' > $RPM_BUILD_ROOT/etc/profile.d/%{name}.sh
echo 'if ( ${?GTK_PATH} ) then
    setenv GTK_PATH /usr/local/lib/gtk-2.0:/opt/gnome/lib/gtk-2.0:/usr/lib/gtk-2.0:${GTK_PATH}
else
    setenv GTK_PATH /usr/local/lib/gtk-2.0:/opt/gnome/lib/gtk-2.0:/usr/lib/gtk-2.0
endif' > $RPM_BUILD_ROOT/etc/profile.d/%{name}.csh
%if "%_lib" == "lib64"
echo 'if test -z "$GTK_PATH64" ; then
    export GTK_PATH64="/usr/local/%_lib/gtk-2.0:/opt/gnome/%_lib/gtk-2.0:/usr/%_lib/gtk-2.0"
else
    export GTK_PATH64="/usr/local/%_lib/gtk-2.0:/opt/gnome/%_lib/gtk-2.0:/usr/%_lib/gtk-2.0:$GTK_PATH64"
fi' >> $RPM_BUILD_ROOT/etc/profile.d/%{name}.sh
echo 'if ( ${?GTK_PATH64} ) then
    setenv GTK_PATH64 /usr/local/%_lib/gtk-2.0:/opt/gnome/%_lib/gtk-2.0:/usr/%_lib/gtk-2.0:${GTK_PATH64}
else
    setenv GTK_PATH64 /usr/local/%_lib/gtk-2.0:/opt/gnome/%_lib/gtk-2.0:/usr/%_lib/gtk-2.0
endif' >> $RPM_BUILD_ROOT/etc/profile.d/%{name}.csh
%endif
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/2*/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Remove orphan files and directories obsolete since 9.0.
rm -f\
 etc/gtk-2.0/gdk-pixbuf.loaders\
 etc/gtk-2.0/gtk.immodules
rmdir\
 etc/gtk-2.0\
 usr/lib/gtk-2.0\
 2>/dev/null || true

%post
%run_ldconfig
touch var/adm/SuSEconfig/run-gtk

%preun
# Remove all old icon cache files created by SuSEconfig.gtk2.
# If it is an update, files will be re-created.
if test -f var/opt/gnome/cache/gtk-2.0/icon-theme.cache-list ; then
    for DIR in $(<var/opt/gnome/cache/gtk-2.0/icon-theme.cache-list) ; do
	rm -f $DIR/icon-theme.cache
	rmdir --ignore-fail-on-non-empty $DIR
    done
    rm var/opt/gnome/cache/gtk-2.0/icon-theme.cache-list
fi

%postun
%run_ldconfig

%files -f %files -f gtk20.lang
%defattr(-,root,root)
%if "%_lib" == "lib64"
%doc AUTHORS COPYING README README.SuSE NEWS ChangeLog 
%ghost %{sysconfdir}/gtk-2.0/gtk64.immodules
%ghost %{sysconfdir}/gtk-2.0/gdk-pixbuf64.loaders
%else
%doc AUTHORS COPYING README NEWS ChangeLog 
%ghost %{sysconfdir}/gtk-2.0/gtk.immodules
%ghost %{sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
%endif
%{sysconfdir}/gtk-2.0/gtkrc
%{prefix}/bin/*query*
%{prefix}/bin/gtk-update-icon-cache
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%_lib/gtk-2.0
%dir %{prefix}/%_lib/gtk-2.0/[2me]*
%dir %{prefix}/%_lib/gtk-2.0/immodules
%dir %{prefix}/%_lib/gtk-2.0/2*/*
%{prefix}/%_lib/gtk-2.0/2*/*/*.so
%{prefix}/share/themes/*
%dir %{sysconfdir}/gtk-2.0
/etc/profile.d/*
/sbin/conf.d/SuSEconfig.gtk2
%dir /var%{prefix}/cache/gtk-2.0
%ghost /var%{prefix}/cache/gtk-2.0/icon-theme.cache-list

%files devel
%defattr(-,root,root)
%{prefix}/bin/*-demo
%{prefix}/bin/*-csource
%{prefix}/include/gtk-2.0
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*a
#%{prefix}/%_lib/gtk-2.0/2*/*/*.la
%{prefix}/%_lib/gtk-2.0/include
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-2.0
%{prefix}/share/aclocal/*.m4
%doc %{prefix}/share/man/man*/*

%files doc
%defattr(-,root,root)
%{prefix}/share/gtk-doc/html/*

%changelog
* Fri Aug  7 2009 dliang@suse.de
- Add gtk2-capshiftlock.patch to fix bnc#436985
  Caps lock not indicated and return not working in GDM
* Thu Jul 16 2009 dliang@suse.de
- Add gtk2-file-chooser-size-pos-record.diff to fix bnc#387759
* Tue Mar 10 2009 federico@novell.com
- Added gtk2-bnc355402-gtkplug-toplevel-list.diff to fix bnc#355402 -
  Firefox crashes while SuSEconfig.gtk2 runs.
* Mon Dec  3 2007 pwu@suse.de
- Change gtk_selection_data_get_targets to java X Selection type.
  The java X Selection "TARGETS"'s type is "TARGETS" not "ATOM".
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=191223.
* Mon Jan 22 2007 btimothy@suse.de
- Change gtk_text_view_end_selection_drag () to only require a
  GtkTextView to call it.  Also call this function when a user
  focuses out of a text view to prevent a strange selection state.
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=177857.
* Wed Jan 17 2007 sbrabec@suse.cz
- Fixed Norwegian patch translation (#235192).
* Wed Jan 17 2007 federico@novell.com
- Added gtk2-235661-pixbuf-loader-error-checking.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=235661.  This fixes
  crashes when feeding non-image data to GdkPixbufLoader.
* Fri Jan 12 2007 maw@suse.de
- Add gdk-pixbuf-226710.patch (#226710, and CVE-2007-0010).
* Mon Jan  8 2007 jhargadon@suse.de
- Save the expanded state of the folder browser with the file
  chooser settings. (fate #301826)
* Thu Dec  7 2006 jhargadon@suse.de
- update to version 2.8.11  (fate#300419)
- Avoid memory overruns in the pixbuf theme engine
  with nonsensical gradient specifications
- 326003 Cursor doesn't move as expected
- 326806 Segfault from combination of gtk_container_set_resize_mode()
    and GtkComboBox
- 327751 segfault in update_cursor on amd64
- 327538 eog crashes at launch under AIX
- 153213 "~" should bring up the location dialog
- 327934 gtk_text_layout_get_cursor_locations() chokes on
    layout=0x0
- Documentation improvements
- Translation updates (es,pt_BR,zh_HK,zh_TW)
- removed upstreamed patches
- added patch gtk2-dragging-icons.patch to stop crashing when
  dragging icons between screens in nautilus (#224845)
* Thu Aug 17 2006 sbrabec@suse.cz
- Fixed untranslatable strings in the file dialog (#180617).
* Wed Jun 21 2006 federico@novell.com
- Added gtk2-184875-filechooser-location-entry-set-path.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=184875.  This makes the
  location entry in the file chooser preserve the filename from
  gtk_file_chooser_set_filename() and set_uri().  It was incorrectly
  using just the directory name instead of the file name.
* Wed Jun  7 2006 federico@novell.com
- Added gtk2-179040-file-chooser-location-entry-folder.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=179040.  This makes the
  location entry in GtkFileChooser update correctly when you switch
  folders.
- Added gtk2-161043-calendar-sane-timer.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=161043.  This makes
  GtkCalendar use a more forgiving timeout value when going through
  months or years.
* Thu Jun  1 2006 sbrabec@suse.cz
- Fixed I18N of file selector navigation buttons (#180696).
* Sun May 28 2006 joeshaw@suse.de
- Add gtk2-filechooserbutton-signal-disconnect-fix.patch to fix
  a crash when a GtkFileChooserButton is destroyed but not
  finalized and bookmarks or volumes change.  (bnc #178122)
* Wed May 24 2006 federico@novell.com
- Updated gtk+-2.8.6-fontsel-fix.patch to fix bug
  https://bugzilla.novell.com/show_bug.cgi?id=177997.  The previous
  patch caused crashes in all font selectors.
* Wed May 17 2006 bk@suse.de
- GtkFontSelection: Fix deadlock when used by GtkFontButton (153099)
* Thu May  4 2006 dobey@suse.de
- Add in default gtkrc file to set theme/icon theme under KDE/etc
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=172779
* Mon Apr 17 2006 federico@novell.com
- Updated gtk2-filechooser-new-features.diff to fix these bugs:
  https://bugzilla.novell.com/show_bug.cgi?id=163234 - The file
  chooser now sorts the list of Beagle hits by modification date.
  https://bugzilla.novell.com/show_bug.cgi?id=166906 - The file
  chooser in SAVE mode will now give the right filename if the user
  just switched folders.
* Mon Apr  3 2006 sbrabec@suse.cz
- Fixed context translation bugs (GNOME#336645).
* Thu Mar 30 2006 federico@novell.com
- Removed gtk2-151580-filechooser-beagle.diff.
- Added gtk2-filechooser-new-features.diff.  This fixes bug #160605,
  so the file chooser now has an optional text entry for the file
  name.  Also, it integrates the functionality for Beagle searching
  into the same patch.
* Fri Mar 24 2006 rml@suse.de
- Set default invisible char to something stetic (bug #160688)
* Fri Mar 24 2006 federico@novell.com
- Updated gtk2-151580-filechooser-beagle.diff to fix bug #156843.
  With this, the file chooser will no longer show a "Search" item in
  the "Save in folder" combo box.
* Mon Mar 13 2006 sbrabec@suse.cz
- Do not believe glibc first weekday (#130787, #104417).
* Tue Mar  7 2006 zsu@suse.de
- Fixed gtkvts crash bug introduced by gtk+-2.8.6-fontsel.patch [#153099].
* Thu Feb 23 2006 federico@novell.com
- Updated gtk2-151580-filechooser-beagle.diff; now we hide the search
  results that correspond to the system documentation.  This produces
  less clutter.
* Fri Feb 17 2006 federico@novell.com
- Added gtk2-151580-filechooser-beagle.diff to integrate Beagle
  searching into the file chooser.  This fixes
  https://bugzilla.novell.com/show_bug.cgi?id=151580 (about Beagle
  support) and https://bugzilla.novell.com/show_bug.cgi?id=148896
  (about not having a highlighted shortcut at startup).
* Sat Feb  4 2006 federico@novell.com
- Added gtk2-117163-cairo-repeat-pattern-workaround.diff as a fix for bug #117163.
  In this bug, the desktop gets repainted very slowly due to bugs in Cairo and XRENDER.
  The workaround uses a faster code path in GTK+.
* Thu Feb  2 2006 gekker@suse.de
- Backport critical fixes from 2.8.11 (#153213,326806,327751)
* Wed Feb  1 2006 sbrabec@suse.cz
- Translations from localize-font-style-name moved
  to translation compendium gnome-patch-translation.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 gekker@suse.de
- Add patch to improve scrolling speed in font selection (#130159)
* Mon Jan 16 2006 meissner@suse.de
- use -fstack-protector.
* Fri Jan 13 2006 sbrabec@suse.cz
- Updated to version 2.8.10.
* Wed Jan 11 2006 sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Wed Jan 11 2006 meissner@suse.de
- Added -fno-strict-aliasing.
* Mon Jan  9 2006 mfabian@suse.de
- Bugzilla #131498: don't limit the default for the GTK2 xim module
  to "ko:ja:th:zh", use "*" (all languages) instead.
* Fri Dec 30 2005 mfabian@suse.de
- Bugzilla #129753: Localize font style name in gtk font selection
  dialog and font button (add patch by Zhe Su <zsu@novell.com>).
  Patch updated for gtk+-2.8.9 and German translations of the
  style names added.
* Tue Dec 20 2005 ro@suse.de
- also pack translations for gtk20-properties
* Wed Dec 14 2005 sbrabec@suse.cz
- Updated to version 2.8.9.
- Added related old version cleanups (feature #2852).
* Wed Nov 30 2005 sbrabec@suse.cz
- Updated to version 2.8.8.
* Fri Nov 18 2005 sbrabec@suse.cz
- Updated to version 2.8.7.
- Removed obsolete build hacks.
- Try to build with ELF visibility.
* Tue Nov 15 2005 sbrabec@suse.cz
- Fixed XPM buffer overflow vulnerability (#129642).
- More XPM fixes: CVE-2005-2975 xpm too many colors DoS (#129642)
- Removed xrender work-around.
* Fri Oct 28 2005 federico@novell.com
- Added gtk2-127646-dnd-cursor-offset.diff to fix the position of the default
  cursor for drag and drop.
* Tue Oct 11 2005 gekker@suse.de
- Update to version 2.8.6
- Fix return of random data
* Wed Oct  5 2005 federico@novell.com
- Added gtk2-file-chooser-consistent-home-folder-name.diff so that
  $HOME will not appear as "Home", but rather as its actual name.
  This avoids having [/][home][Home] on the path bar.
- This patch also adds an Alt-D shortcut to the file chooser, to make
  it go to your Desktop folder.
* Mon Oct  3 2005 gekker@suse.de
- Update to version 2.8.4
- Remove upstream patches
* Fri Sep 30 2005 federico@novell.com
- Added gtk2-file-chooser-create-save-widgets-only-if-needed.diff and
  gtk2-file-chooser-no-reload.diff as optimizations for the file
  chooser's startup time.
* Thu Sep 15 2005 gekker@suse.de
- Fix quoting in SuSEconfig.gtk2 (113511)
* Thu Sep  8 2005 sbrabec@suse.cz
- Fixed outdated cache files heuristics in SuSEconfig (#113261).
* Wed Sep  7 2005 sbrabec@suse.cz
- Fixed first weekday bug with latest glibc localedata (#104417).
* Thu Sep  1 2005 gekker@suse.de
- Update to version 2.8.3
- Remove upstreamed patch
* Fri Aug 26 2005 jpr@suse.de
- Patch gtk-update-icon-cache to be a little smarter and alter the
  SuSEconfig.gtk2 script to be smarter about removing dead cache files.
* Wed Aug 24 2005 gekker@suse.de
- Update to version 2.8.2
* Wed Aug 24 2005 rodrigo@suse.de
- Update to version 2.8.1
- Updated gtk+-strict-aliasing.patch.
* Thu Aug 18 2005 gekker@suse.de
- Update version to 2.8.0 (GNOME2.12)
* Fri Aug 12 2005 gekker@suse.de
- Fix crash in file chooser b.g.o (310270).
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.7.5
- Remove upstreamed patch
* Wed Aug 10 2005 clahey@suse.de
- Patch to check for updated icon theme (especially cache) every
  30 seconds.
* Fri Aug  5 2005 sbrabec@suse.cz
- Create loaders before icon cache to avoid error mesages during
  first SuSEconfig run.
* Thu Aug  4 2005 sbrabec@suse.cz
- Removed pixmaps and icons directories from SuSEconfig (#85839).
* Tue Aug  2 2005 ro@suse.de
- fix and re-enable gtk64.patch
* Mon Aug  1 2005 gekker@suse.de
- Update to version 2.7.4
- Add cairo, libpixman, and glitz to nfb
- Remove upstreamed patch
* Fri Jun 24 2005 sbrabec@suse.cz
- Fixed devel dependencies.
- Removed .la files for modules.
- Fixed uninitialized variable warnings.
* Mon Jun 20 2005 sbrabec@suse.cz
- Create icon-cache files by SuSEconfig (#88599).
* Fri Jun 17 2005 gekker@suse.de
- Fix gtk64.patch and build on x86_64.
* Fri Jun 17 2005 gekker@suse.de
- Update to version 2.6.8.
- Fix sentinel patch to work with new version of glib2.
* Wed Jun  1 2005 sbrabec@suse.cz
- Use current name for XFree86-devel in Requires (#54136).
* Mon May  2 2005 gekker@suse.de
- Fix crasher in gtktextview (380).
* Mon Apr  4 2005 aj@suse.de
- Disable visibility to build with GCC4.  This should be
  enabled again once gtk is fixed.
* Fri Mar 18 2005 gekker@suse.de
- Add gtk-esc-closes.diff
* Wed Mar  2 2005 gekker@suse.de
- Updated to version 2.6.4
* Mon Feb  7 2005 sbrabec@suse.cz
- Updated to version 2.6.2.
* Sun Jan 30 2005 meissner@suse.de
- fixed XIM valist usage 0->NULL.
* Fri Jan 21 2005 meissner@suse.de
- specify valist functions with NULL termination
  with sentinel attribute for gcc4.
- parallel make
- fixed one strict aliasing problem
- removed -fno-strict-aliasing, -mminimal-toc
* Mon Jan 17 2005 ro@suse.de
- added c++ to neededforbuild (for libtiff)
* Mon Jan 17 2005 clahey@suse.de
- Updated to version 2.6.1.
* Wed Jan 12 2005 gekker@suse.de
- Update to version 2.6.0
* Tue Nov 23 2004 hhetter@suse.de
- add some information on how to manually regenerate
  gdk-pixbuf-modules if needed
* Mon Nov 22 2004 ro@suse.de
- fix build on 9.2 (missing so links for libXfixes)
* Fri Nov 19 2004 ro@suse.de
- updated gtk64 patch
* Wed Nov 17 2004 gekker@suse.de
- Update version to 2.5.5.
* Tue Oct 26 2004 mmj@suse.de
- locale rename no to nb
* Wed Oct 20 2004 ro@suse.de
- make specfile rpm3-save
* Mon Sep 27 2004 sbrabec@suse.cz
- Added work-around for GTK_PATH bi-arch problems (#45386).
* Mon Sep  6 2004 meissner@suse.de
- Added ico overflow security patch, CAN-2004-0788.
* Tue Aug 31 2004 dave@suse.de
- Added gtk2-cancel-rename.patch, ximian #59669
* Fri Aug 27 2004 federico@ximian.com
- Removed stray g_print() from gtk-xpm-secfix.dif; normalized the patch
* Thu Aug 26 2004 federico@ximian.com
- Updated to gtk+-2.4.9
- Normalized gtk+-strict-aliasing.patch
* Tue Aug 24 2004 hhetter@suse.de
- added security patch for XPM decoder (#44100)
  CAN-2004-0782, CAN-2004-0783.
* Wed Aug  4 2004 clahey@suse.de
- Added gtk2-esc-closes.patch from Federico.
* Fri Jun  4 2004 clahey@suse.de
- Fixed filesel patch to just go directly to Desktop.
* Tue Apr 27 2004 sbrabec@suse.cz
- Fixed gtk64.patch.
* Mon Apr 26 2004 sbrabec@suse.cz
- Added empty /opt/gnome/%%_lib/gtk-2.0/2.4.0/filesystems to filelist.
* Wed Apr 21 2004 sbrabec@suse.cz
- Fixed strict aliasing, undefined reference and incompatible type
  warnings.
* Thu Apr 15 2004 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.6).
- Removed obsolete patches.
* Thu Apr  1 2004 sbrabec@suse.cz
- Set GTK_PATH to simplify integration of /usr/local binaries.
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Thu Mar 11 2004 sbrabec@suse.cz
- Use SuSEconfig biarch wrapper and identical filename for all
  platforms.
- Include README.SuSE about biarch problems.
* Fri Mar  5 2004 hhetter@suse.de
- apply reworked patch gtk2-filesel-navbuttons.patch:
  Default to ~/Desktop
* Tue Mar  2 2004 sbrabec@suse.cz
- Bi-arch work-arounds to prevent 32/64 bit conflicts (bug #33705).
  For more see http://bugzilla.gnome.org/show_bug.cgi?id=129540
* Mon Mar  1 2004 sbrabec@suse.cz
- Fixed focus loop in gtk_socket_focus() (#33810).
  Fixes 100%% CPU load problem in Notification Area Applet.
  http://bugzilla.gnome.org/show_bug.cgi?id=122327
- Build with -fno-strict-aliasing.
* Thu Feb 26 2004 hhetter@suse.de
- applied ximian patches
* Mon Feb 23 2004 sbrabec@suse.cz
- Fixed AC_DEFUN underquoting.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig and %%defattr
* Thu Jan  8 2004 ro@suse.de
- fix build with current freetype
* Wed Nov  5 2003 hhetter@suse.de
- added xfree86-devel to Requires for the devel subpackage
* Fri Oct 10 2003 sbrabec@suse.cz
- Updated to version 2.2.4.
* Thu Aug 28 2003 sbrabec@suse.cz
- Updated to version 2.2.3.
* Thu Jul 24 2003 hhetter@suse.de
- fix SuSEconfig.gtk2 query paths
* Wed Jul 16 2003 sbrabec@suse.cz
- SuSEconfig.gtk2: Fixed paths to query binaries.
- Added empty directory for immodules.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul 10 2003 sbrabec@suse.cz
- Worked around linking problems on ppc64 (#27837).
* Tue Jun 24 2003 sbrabec@suse.cz
- Created empty directory for engines and modules.
* Thu Jun 12 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Fixed directory packaging.
* Wed May 28 2003 sbrabec@suse.cz
- Include manpage to devel package.
* Wed May 28 2003 ro@suse.de
- remove unpackaged files from buildroot
* Thu May 22 2003 sbrabec@suse.cz
- Fixed typo in Requires for -devel package (#27025).
* Wed May 14 2003 sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26876).
* Tue Mar 18 2003 sbrabec@suse.cz
- Moved devel files to devel package (fixes bug #25163).
* Wed Mar 12 2003 sbrabec@suse.cz
- Added gnome2 profile.d files containing required variables (fixes
  theme problems for all session types).
* Wed Mar 12 2003 sbrabec@suse.cz
- Fixed prefix clash for keyboard themes (fixes bug 25086).
* Mon Feb 10 2003 ro@suse.de
- create /etc/gtk-2.0 in SuSEconfig.gtk2 if needed
* Thu Feb  6 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
- Include generated config files to %%files (with %%ghost).
* Wed Feb  5 2003 sbrabec@suse.cz
- Removed -mminimal-toc from spec file, since it is now RPM default.
* Tue Jan 14 2003 sbrabec@suse.cz
- Update SuSEconfig.gtk2 to create gdk-pixbuf.loaders.
* Mon Jan 13 2003 sbrabec@suse.cz
- Added expat to neededforbuild (for new xft2).
* Thu Jan  9 2003 sbrabec@suse.cz
- Updated to version 2.2.0.
- Updated automake patch.
* Mon Nov 25 2002 hhetter@suse.de
- updated to version 2.0.9
  * Fix colormap refcounting, which caused
  frequent metacity crashes
  * GtkTreeView bug fixes
  - Make TreeView reordering work on FreeBSD/Solaris
  * Updated translations (be, ru, nl, fr)
* Mon Nov 11 2002 hhetter@suse.de
- updated to version 2.0.8
  * Typo in io-gif.c that caused GIFs not to be loadable
  by gdk-pixbuf.
  * Incompatibility between the libtool used for generating
  the tarball and older versions of binutils on Linux.
* Tue Nov  5 2002 hhetter@suse.de
- updated to 2.0.7 bugfix release
- removed x86_64 patch as it's upstream, from Changelog:
  * Fix some memory leaks in gdk-pixbuf
  * Pixbuf loader fixes
  * Support depth 8 StaticColor in GdkRGB
  * Win32 fixes and improvements
  * Improve tracking of toplevel focus state
  * XIM input method fixes
  * Fix the longstanding problem with <,> keys and XIM
  * Fix GtkIMContextSimple for us-intl keyboards
  * GtkIMContextSimple updates for Eastern Europe
  * Fix the "key bindings randomly stop working" problem
  * GtkTextView fixes
  * GtkTreeView bugfixes
  * GtkCombo fixes
  * Fix 64-bit problem with GtkFundamentalType
  * New and updated translations
  * Many miscellaneous bug fixes
* Tue Oct 22 2002 sbrabec@suse.cz
- Move /var/adm/SuSEconfig/run-gtk to %%post (fixes #20029).
* Wed Oct  9 2002 sbrabec@suse.cz
- Added support for dead keyed Hungarian characters in iso88592.dif
  characters.
* Tue Oct  1 2002 sbrabec@suse.cz
- Added ISO-8859-2 supporting patch from CVS.
* Fri Sep  6 2002 sf@suse.de
- added patch to avoid wrong va_arg handling
  which leads to almost any GTK-Widget segfaulting
* Wed Aug 21 2002 kukuk@suse.de
- Fix Requires entry
* Thu Aug 15 2002 hhetter@suse.de
- branch gtk2-doc package
* Tue Aug 13 2002 hhetter@suse.de
- added fbmanager and gdktarget build options (#17640)
- devel package requires main package
* Thu Aug  8 2002 hhetter@suse.de
- use %%{version} tag in LIBRARY_PATH
- enable xim and shm
* Mon Aug  5 2002 hhetter@suse.de
- updated to version 2.0.6
  * GtkTreeView bug fixes
  * Fix problem with keynav and insensitive menu items
  * Fix pixbuf_from_drawable() for LSB -> MSB
  * Use GTK2_RC_FILES envvar instead of GTK_RC_FILES
  * Focus check/radio buttons when activating with a mnemonic
  * Cycle between multiple menubars with F10, not control-tab
  * Misc bug fixes
  * Build fixes for cross-compiling and portability
  * Updated translations (bg,ca,da,fr,ja,ko,lv,no,pl,ru,sk,sv,vi)
* Tue Jul 30 2002 jordi@suse.de
- added missing documentation for gtk2-devel
* Wed Jul 10 2002 hhetter@suse.de
- fix requires of devel package, still pointed to GTK 1.x packages
* Mon Jun 17 2002 jordi@suse.de
- Updated to version 2.0.5
  * Fix a wrong assertion that broke gtk_file_selection_set_filename();
  also another fix from testing this function with non-UTF-8 filenames.
  * Fix incorrect property notification in GtkTextView.
  Overview of Changes in GTK+ 2.0.4
  * Fix a number of types which were registered with the
  type system with the wrong names
  * Support missing data types in GtkList/TreeStore
  * Misc GtkTreeView bug fixes
  * Drag and drop fixes, including a stuck grab.
  * Calculate screen size on win32 from the "logical DPI"
  * Misc Win32 bug fixes.
  * Fix theme changes for GtkMenu
  * Fix gdk_pixbuf_from_drawable() for big endian.
  * Fix encoding handling for gtk_file_selection_set_filename()
  * Fix crash with DND, Qt and Metacity
  * Fixes for DirectColor visuals
  * Memory leak and UMR fixes
  * Misc bug fixes
  * Updated translations
* Thu Jun 13 2002 ro@suse.de
- use libpng-devel-packages in nededforbuild
* Mon Jun 10 2002 meissner@suse.de
- Need to use -mminimal-toc for ppc64.
* Tue Jun  4 2002 ro@suse.de
- re-add libdir fixes
* Tue Jun  4 2002 hhetter@suse.de
- updated to stable version 2.0.3:
  * GtkTreeView fixes
  * Improve GdkRGB support for low color depths
  * Tweak F10 behavior to focus GtkMenuBar
  * Include internal children when focusing
  * Allow use of a pixmap as the drawable in gdk_pixmap_new().
  * GdkPixbuf fixes
  * GtkMenu fixes.
  * Misc input-method related fixes
  * Fix stuck grab during DND.
  * Remove in-bevel from scrolled-offscreen menus.
  * Various plug/socket fixes
  * Handle Xlib internal connections
  * Many miscellaneous bug fixes.
* Tue Apr  9 2002 hhetter@suse.de
- update to stable version 2.0.2
* Tue Apr  9 2002 ro@suse.de
- build with "atk-1.0" (was "atk")
* Fri Feb  1 2002 hhetter@suse.de
- updated to 1.1.13 [gnome desktop alpha2]
- build with libpng-devel
* Fri Jan 25 2002 hhetter@suse.de
- rename SuSEconfig.gtk to SuSEconfig.gtk2
* Thu Jan 17 2002 hhetter@suse.de
- new SuSEconfig.gtk script ensures that all input-method modules
  are registered
* Fri Jan 11 2002 hhetter@suse.de
- use version tag in patch filename
- updated to version 1.3.12:
  * Fix problems with PNG saving
  * Cleanups of deprecated usages
  * Frame buffer port fixes
  * GtkTextView bug fixes
  * Menu behavior improvements
  * Make focus line width configurable, focus color work on
  dark themes.
  * Add state argument to gtk_paint_focus()
  * Added incremental revalidation to tree view, for better apparent speed
  * Remove useless gtk_tree_view_column_cell_event()
  * Display XIM status in a separate window
  * Add menu of Unicode control characters to GtkEntry, GtkTextView
  * Pass key releases along to input methods [Owen]
- specfile cleanup
* Thu Jan 10 2002 hhetter@suse.de
- no longer require glib (1.x)
* Thu Jan 10 2002 hhetter@suse.de
- include gdk-pixbuf's tools
- build with freetype2 support
* Tue Jan  8 2002 hhetter@suse.de
- include links for default library names
* Wed Dec 12 2001 hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
- added LIBRARY_PATH for broken libtool
- build with automake 1.5
